function Create(self)
	self.alterdist = 85; --How far the effect can reach
	self.slowitem = 0.6; --How much bullets are slowed
	self.ToggleKey = 26;
	self.ShieldToggle = nil;
	
	self.Parent = nil;
	self.ParentPickTimer = Timer();
	
	local actor = MovableMan:GetMOFromID(self.RootID);

	if MovableMan:IsActor(actor) then
		self.Parent = ToActor(actor);
		self.Parentpickingdone = true;
	end
	
	self.HintMessage = nil;
	self.HintTimer = Timer();
	self.HintTimer:Reset();
end




function Update(self)

	if self.HintMessage == nil then
		local part = nil;
		part = CreateMOSRotating("Toggle Message", "RedGearArmy.rte");
		part.Pos = Vector (self.Pos.X, self.Pos.Y + -65);
		part.Lifetime = 1;
		MovableMan:AddParticle(part);
	end
	
	if self.HintTimer:IsPastSimMS(5000) then
		self.HintMessage = true;
	end

	--Set the parent to nil if he's dead
	if not MovableMan:IsActor(self.Parent) then
		self.Parent = nil;
	end
   --This part is a safety check to make sure we do get the parent. You can end up without a parent when you spawn them in base editor or manually drop them out of a dropship if you don't put the parent finding in here too.
	if self.ParentPickTimer:IsPastSimMS(500) then
		local actor = MovableMan:GetMOFromID(self.RootID);
	if MovableMan:IsActor(actor) then
		self.Parent = ToActor(actor);
		self.Parentpickingdone = true;
	end
end

	if self.Parent:IsPlayerControlled() == true then
		if UInputMan:KeyPressed(self.ToggleKey) then
			if self.ShieldToggle == true then
				self.ShieldToggle = nil;
				local soundoff = CreateAEmitter("Shield Sound Off");
				soundoff.Pos = self.Pos;
				MovableMan:AddParticle(soundoff);
				return;
			elseif self.ShieldToggle == nil then
				self.ShieldToggle = true;
				local soundon = CreateAEmitter("Shield Sound On");
				soundon.Pos = self.Pos;
				MovableMan:AddParticle(soundon);
				return;
			end
		end
	end
	
	if self.ShieldToggle == true then
		for target in MovableMan.Particles do
			if target.HitsMOs and SceneMan:ShortestDistance(target.Pos, self.Pos, false).Magnitude <= self.alterdist then
				target.Vel = target.Vel * (1 - self.slowitem)
			if (target.Vel.Y <= 1) and (target.Vel.Y >= -1) then
				target.Vel.Y = (SceneMan.GlobalAcc.Y * TimerMan.DeltaTimeSecs)*-1
			end
		end
	end
end
	--effects
	if self.ShieldToggle == true then
		local effectPar = CreateMOPixel("Blue Glow Shield");
		effectPar.Pos = self.Pos;
		effectPar.PinStrength = 1000;
		MovableMan:AddParticle(effectPar);
	end
	
end

